# loki.ir.ir_graph

ir_graph(ir, show_comments=False, show_expressions=False, linewidth=40, symgen=<class 'str'>)

  Pretty-print the given IR using `GraphCollector`.

  Parameters:

    - ir (`Node`) – The IR node starting from which to produce the tree

    - show_comments (bool, optional, default: False) – Whether to show comments in the output

    - show_expressions (bool, optional, default: False) – Whether to further expand expressions in the output